//Adapted from https://processing.org/examples/functions.html

void setup() {
  size(640, 360);
  background(255, 255, 255);
}

void draw() {
  //This is three separate "calls" to a function
  //To call a function use the function name like "drawCircle" and parentheses
  //drawCircle();
  //In the drawCircle definition you can see it needs several "arguments"
  //float xloc, float yloc, int size
  //These arguments are values that  will help the function perform actions
 
 //In this case the values are the xlocation, the ylocation and the size of the circle
 
  drawCircle(width*0.25, height*0.4, 200);
  drawCircle(width*0.5, height*0.5, 300);
  drawCircle(width*0.75, height*0.3, 120);
  
  //If we didn't use the drawCircle function and wanted to do the same thing what would we have to do?
  
  //Try adding another call to the drawcircle function to draw another circle!
  
  
}

//This is a user defined function
//The "body" of the function is inside the { } 
//Note that draw circle doesn't return anything for output, so the return type is void

//Can I put a variable as an argumen to a function?

void drawCircle(float xloc, float yloc, int size) {

  //This specifies the color of the next thing that will be drawn
  //This is an example of a bulit in processing function
  //notice how we can't see the definition of the fill() function but we can still call it
  fill(255, 20, 10);
  //This draws a circle
  ellipse(xloc, yloc, size, size);
}
