PImage animage;
boolean moveimageleft;
boolean moveimageright;

int xlocation = 0;
int ylocation = 100;

void setup()
{
   //Size is used to define how large the drawing window will be in pixels
  size(500, 500);
  xlocation = width /2;
  
  //Assign the variable of type PImage to the return value of the built in processing function
  //loadImage. This is done with a function call to loadImage() which takes a string value 
  //that says what file name to load. Remeber the file must be in the same folder
  animage = loadImage("Toad.png");
  
  //Use the processing built in method called resize on the variable with the name
  //animage
  animage.resize(100,150);
  
  //Remeber in setup we are just initializing values, nothing has been drawn yet!
}

void draw()
{
  //This call to the built in processing function background changes the color of the background
  //Colors are in RGB values (Amount of Red, Amount of Green, Amount of Blue)
  background(255, 255, 255);
  
  //"The image() function draws an image to the drawing window."
  image(animage, xlocation, ylocation);
  
  //Check if the boolean values to move the image right or left have been turned to true
  //by a key press action
  if(moveimageleft)
  {
    xlocation = xlocation - 1;
  }
  
  if(moveimageright)
  {
    xlocation = xlocation + 1;
  }
}

//these are special functions used to check if a key has been pressed or released
//since there are so many keys that could be pressed we need to use a conditional if statment
//to check which key has been pressed
void keyPressed(){

     if (key == CODED){
       
       if(keyCode == LEFT)
       {
         moveimageleft = true;
       }
       if(keyCode == RIGHT)
       {
         moveimageright = true;
       }
    }
  
}

void keyReleased(){

    if (key == CODED){

       if(keyCode == LEFT)
       {
         moveimageleft = false;
       }
       if(keyCode == RIGHT)
       {
         moveimageright = false;
       }
  }
  
}
